Compliance
GDPR data export, erasure, consent, and data residency
Export tenant data (GDPR Article 20)
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/compliance/data-export" \ -H "Content-Type: application/json" \ -d '{ "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5" }'{}{
"error": "string"
}Request data erasure (GDPR Article 17)
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/compliance/data-erasure" \ -H "Content-Type: application/json" \ -d '{ "mode": "user" }'{}{
"error": "string"
}Get consent records
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
uuidResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/compliance/consent?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{}{
"error": "string"
}Record or update consent
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/compliance/consent" \ -H "Content-Type: application/json" \ -d '{}'{}{
"error": "string"
}Get data residency configuration
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Response Body
application/json
application/json
curl -X GET "https://app.axiomatic.software/api/compliance/residency"{}{
"error": "string"
}Update data residency constraints
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.axiomatic.software/api/compliance/residency" \ -H "Content-Type: application/json" \ -d '{}'{}{
"error": "string"
}